# Makefile.st	Makefile for UnZip 5.x, using Turbo C 2.0 for the Atari ST
# and make from the Mark Williams C 3.9 (sorry for that mixture)
#
# Last modified:  18 Oct 92

# UPPERCASE file names facilitate TD's understanding of modules.
.SUFFIXES: .o .O .c .C .s

TCHOME	= E:\tc

#####################
# MACRO DEFINITIONS #
#####################

CC	= tcc
#CFLAGS	= -DATARI_ST -Y -I=$(TCHOME)\include
CFLAGS	= -DATARI_ST -I=$(TCHOME)\include
#LFLAGS	= -L -Y
LFLAGS	=
LIB	= $(TCHOME)\lib
LD	= tlink

OBJS = unzip.o crypt.o envargs.o explode.o extract.o file_io.o inflate.o\
       mapname.o match.o misc.o unreduce.o unshrink.o atari.o


###############################################
# BASIC COMPILE INSTRUCTIONS AND DEPENDENCIES #
###############################################

ALL	: unzip.prg
	echo done

atari.o:      atari.c unzip.h

crypt.o:      crypt.c unzip.h crypt.h zip.h

envargs.o:    envargs.c unzip.h

explode.o:    explode.c unzip.h

extract.o:    extract.c unzip.h crypt.h

file_io.o:    file_io.c unzip.h crypt.h

inflate.o:    inflate.c unzip.h

mapname.o:    mapname.c unzip.h

match.o:      match.c unzip.h

misc.o:       misc.c unzip.h

unreduce.o:   unreduce.c unzip.h

unshrink.o:   unshrink.c unzip.h

unzip.o:      unzip.c unzip.h crypt.h

unzip.prg:     $(OBJS)
	tlink -O=$@ $(LFLAGS) -S=8192 -C=unzip.lnk

.c.o:
	tcc $(CFLAGS) $<

